Bug 135939 - net/p5-Net-Amazon-S3 0.51 has unresolved dependency on DateTimeX.pm
Summary: net/p5-Net-Amazon-S3 0.51 has unresolved dependency on DateTimeX.pm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-23 00:10 UTC by Chris Anderson
Modified: 2009-07-29 04:30 UTC (History)
0 users

See Also:


Attachments
patch-p5-Net-Amazon-S3.diff (15.05 KB, patch)
2009-07-06 12:29 UTC, Cezary Morga
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Anderson 2009-06-23 00:10:01 UTC
building p5-Net-Amazon-S3 from ports (updated via portsnap as of 20090622) results in an unusable port due to unresolved dependency on MooseX/Types/DateTimeX.pm. 

I couldn't find an existing port that packages DateTimeX but I may have overlooked it.

How-To-Repeat: install p5-Net-Amazon-S3 from a recently updated ports tree:

$ perl -e 'use Net::Amazon::S3;'
Can't locate MooseX/Types/DateTimeX.pm in @INC (@INC contains: /usr/local/lib/perl5/5.8.9/BSDPAN /usr/local/lib/perl5/site_perl/5.8.9/mach /usr/local/lib/perl5/site_perl/5.8.9 /usr/local/lib/perl5/5.8.9/mach /usr/local/lib/perl5/5.8.9 .) at /usr/local/lib/perl5/site_perl/5.8.9/Net/Amazon/S3/Client/Bucket.pm line 5.
BEGIN failed--compilation aborted at /usr/local/lib/perl5/site_perl/5.8.9/Net/Amazon/S3/Client/Bucket.pm line 5.
Compilation failed in require at /usr/local/lib/perl5/site_perl/5.8.9/Net/Amazon/S3.pm line 111.
BEGIN failed--compilation aborted at /usr/local/lib/perl5/site_perl/5.8.9/Net/Amazon/S3.pm line 111.
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-06-23 00:59:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer(s).
Comment 2 Cezary Morga 2009-07-06 12:29:31 UTC
Attached is a patch that:
- adds a missing dependency entry in net/p5-Net-Amazon-S3/Makefile
- adds devel/p5-MooseX-Types-DateTimeX and successive dependencies:
    - devel/p5-DateTime-Format-Flexible
    - devel/p5-DateTimeX-Easy
    - devel/p5-MooseX-Types-DateTime-ButMaintained
    - devel/p5-Olson-Abbreviations

-- 
Cezary Morga
Comment 3 Philip M. Gollucci freebsd_committer 2009-07-14 06:29:18 UTC
Responsible Changed
From-To: perl->pgollucci

I'll take it.
Comment 4 dfilter service freebsd_committer 2009-07-14 18:37:22 UTC
pgollucci    2009-07-14 17:37:13 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-Olson-Abbreviations Makefile Makefile.orig distinfo 
                                 distinfo.orig pkg-descr 
                                 pkg-descr.orig pkg-plist 
                                 pkg-plist.orig 
  Log:
  This module should help you with converting commonly used and often
  ambigious olson abbreviations into TZ offset notation.
  
  WWW: http://search.cpan.org/dist/Olson-Abbreviations/
  
  PR:             ports/135939 (1 of 6)
  Submitted by:   Cezary Morga <cm at therek.net>
  
  Revision  Changes    Path
  1.3552    +1 -0      ports/devel/Makefile
  1.1       +27 -0     ports/devel/p5-Olson-Abbreviations/Makefile (new)
  1.1       +0 -0      ports/devel/p5-Olson-Abbreviations/Makefile.orig (new)
  1.1       +3 -0      ports/devel/p5-Olson-Abbreviations/distinfo (new)
  1.1       +0 -0      ports/devel/p5-Olson-Abbreviations/distinfo.orig (new)
  1.1       +4 -0      ports/devel/p5-Olson-Abbreviations/pkg-descr (new)
  1.1       +0 -0      ports/devel/p5-Olson-Abbreviations/pkg-descr.orig (new)
  1.1       +5 -0      ports/devel/p5-Olson-Abbreviations/pkg-plist (new)
  1.1       +0 -0      ports/devel/p5-Olson-Abbreviations/pkg-plist.orig (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2009-07-14 18:38:24 UTC
pgollucci    2009-07-14 17:38:01 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-MooseX-Types-DateTime-ButMaintained Makefile 
                                                 Makefile.orig 
                                                 distinfo 
                                                 distinfo.orig 
                                                 pkg-descr 
                                                 pkg-descr.orig 
                                                 pkg-plist 
                                                 pkg-plist.orig 
  Log:
  This module packages several Moose::Util::TypeConstraints with
  coercions, designed to work with the DateTime suite of objects.
  
  This module is just the MooseX::Types::DateTime without the requirement
  on DateTimeX::Easy (which requires DateTime::Manip). As of 0.05
  this module supports globally unique Olson abbreviations, and dies
  when they are not globally unique.
  
  WWW: http://search.cpan.org/dist/MooseX-Types-DateTime-ButMaintained/
  
  PR:             ports/135939 (2 of 6)
  Submitted by:   Cezary Morga <cm at therek.net>
  
  Revision  Changes    Path
  1.3553    +1 -0      ports/devel/Makefile
  1.1       +30 -0     ports/devel/p5-MooseX-Types-DateTime-ButMaintained/Makefile (new)
  1.1       +0 -0      ports/devel/p5-MooseX-Types-DateTime-ButMaintained/Makefile.orig (new)
  1.1       +3 -0      ports/devel/p5-MooseX-Types-DateTime-ButMaintained/distinfo (new)
  1.1       +0 -0      ports/devel/p5-MooseX-Types-DateTime-ButMaintained/distinfo.orig (new)
  1.1       +9 -0      ports/devel/p5-MooseX-Types-DateTime-ButMaintained/pkg-descr (new)
  1.1       +0 -0      ports/devel/p5-MooseX-Types-DateTime-ButMaintained/pkg-descr.orig (new)
  1.1       +5 -0      ports/devel/p5-MooseX-Types-DateTime-ButMaintained/pkg-plist (new)
  1.1       +0 -0      ports/devel/p5-MooseX-Types-DateTime-ButMaintained/pkg-plist.orig (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2009-07-14 18:38:41 UTC
pgollucci    2009-07-14 17:38:32 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-DateTimeX-Easy Makefile Makefile.orig distinfo 
                            distinfo.orig pkg-descr pkg-descr.orig 
                            pkg-plist pkg-plist.orig 
  Log:
  DateTimeX::Easy makes DateTime object creation quick and easy. It
  uses a variety of DateTime::Format packages to do the bulk of the
  parsing, with some custom tweaks to smooth out the rough edges
  (mainly concerning timezone detection and selection).
  
  WWW: http://search.cpan.org/dist/DateTimeX-Easy/
  
  PR:             ports/135939 (3 of 6)
  Submitted by:   Cezary Morga <cm at therek.net>
  
  Revision  Changes    Path
  1.3554    +1 -0      ports/devel/Makefile
  1.1       +31 -0     ports/devel/p5-DateTimeX-Easy/Makefile (new)
  1.1       +0 -0      ports/devel/p5-DateTimeX-Easy/Makefile.orig (new)
  1.1       +3 -0      ports/devel/p5-DateTimeX-Easy/distinfo (new)
  1.1       +0 -0      ports/devel/p5-DateTimeX-Easy/distinfo.orig (new)
  1.1       +6 -0      ports/devel/p5-DateTimeX-Easy/pkg-descr (new)
  1.1       +0 -0      ports/devel/p5-DateTimeX-Easy/pkg-descr.orig (new)
  1.1       +7 -0      ports/devel/p5-DateTimeX-Easy/pkg-plist (new)
  1.1       +0 -0      ports/devel/p5-DateTimeX-Easy/pkg-plist.orig (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2009-07-14 18:40:29 UTC
pgollucci    2009-07-14 17:40:13 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-MooseX-Types-DateTimeX Makefile Makefile.orig 
                                    distinfo distinfo.orig 
                                    pkg-descr pkg-descr.orig 
                                    pkg-plist pkg-plist.orig 
  Log:
  This module builds on MooseX::Types::DateTime to add additional
  custom types and coercions. Since it builds on an existing type,
  all coercions and constraints are inherited.
  
  The package name is left as is for legacy reasons: this module is
  really a Type with coercions for DateTimeX::Easy. DateTimeX is just
  a namespace for non-core or less-official DateTime modules.
  
  WWW: http://search.cpan.org/dist/MooseX-Types-DateTimeX/
  
  PR:             ports/135939 (5 of 6)
  Submitted by:   Cezary Morga <cm at therek.net>
  
  Revision  Changes    Path
  1.3556    +1 -0      ports/devel/Makefile
  1.1       +29 -0     ports/devel/p5-MooseX-Types-DateTimeX/Makefile (new)
  1.1       +0 -0      ports/devel/p5-MooseX-Types-DateTimeX/Makefile.orig (new)
  1.1       +3 -0      ports/devel/p5-MooseX-Types-DateTimeX/distinfo (new)
  1.1       +0 -0      ports/devel/p5-MooseX-Types-DateTimeX/distinfo.orig (new)
  1.1       +9 -0      ports/devel/p5-MooseX-Types-DateTimeX/pkg-descr (new)
  1.1       +0 -0      ports/devel/p5-MooseX-Types-DateTimeX/pkg-descr.orig (new)
  1.1       +7 -0      ports/devel/p5-MooseX-Types-DateTimeX/pkg-plist (new)
  1.1       +0 -0      ports/devel/p5-MooseX-Types-DateTimeX/pkg-plist.orig (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Philip M. Gollucci freebsd_committer 2009-07-14 18:41:41 UTC
Responsible Changed
From-To: pgollucci->clsung

Over to maintainer.
Comment 9 dfilter service freebsd_committer 2009-07-29 04:27:03 UTC
clsung      2009-07-29 03:26:54 UTC

  FreeBSD ports repository

  Modified files:
    net/p5-Net-Amazon-S3 Makefile 
  Log:
  - add dependency p5-MooseX-Types-DateTimeX
  - bump PORTREVISION
  
  PR:             ports/135939
  Submitted by:   Chris Anderson <cva_AT_pobox dot com>
  
  Revision  Changes    Path
  1.18      +2 -0      ports/net/p5-Net-Amazon-S3/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Cheng-Lung Sung freebsd_committer 2009-07-29 04:27:07 UTC
State Changed
From-To: open->closed

Committed. Thank You.